Bug 589448 - Could not get network after S4 in guest
Could not get network after S4 in guest
Status: CLOSED DUPLICATE of bug 582178
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-05-06 03:57 EDT by Amos Kong
Modified: 2015-05-24 20:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-16 08:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amos Kong 2010-05-06 03:57:00 EDT
Description of problem:
Start guest and the guest can get IP and can PING host. But the guest could not
get network and ping host after S4.

But it's fine when using e1000 or rtl8139 NIC.


Version-Release number of selected component (if applicable):
host kernel: 2.6.32-19.el6.x86_64
guest kernel: 2.6.18-194.el5
# rpm -qa |grep kvm
kmod-kvm-83-164.el5_5.8
kvm-83-164.el5_5.8
kvm-qemu-img-83-164.el5_5.8
etherboot-zroms-kvm-5.4.4-13.el5
kvm-tools-83-164.el5_5.8
kvm-debuginfo-83-164.el5_5.8

How reproducible:
always

Steps to Reproduce:
1. start guest
/root/autotest/client/tests/kvm/qemu -name 'vm1' -monitor tcp:0:6001,server,nowait -drive file=/root/autotest/client/tests/kvm/images/RHEL-Server-5.5-64-virtio.qcow2,if=ide,cache=none,boot=on -net nic,vlan=0,model=virtio,macaddr=00:30:1F:42:1e:6c -net tap,vlan=0,ifname=virtio_0_6001,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 8196 -smp 1 -soundhw ac97 -usbdevice tablet -rtc-td-hack -no-hpet -cpu qemu64,+sse2 -no-kvm-pit-reinjection -redir tcp:5000::22 -vnc :0 -serial unix:/tmp/serial-20100506-153156-I71N,server,nowait

2. run S4
echo disk > /sys/power/state
3. start guest by the same cmd and ping host

Actual results:
the guest cannot gets network after S4

Expected results:
the guest can gets network after S4
Comment 1 Gleb Natapov 2010-05-16 08:41:38 EDT
Close as duplicate although this bug is about rhel5. The real issue is that virtio in a guest doesn't support PM.

*** This bug has been marked as a duplicate of bug 582178 ***

Note You need to log in before you can comment on or make changes to this bug.